Bug 140435 - Writer: Insert-Media-Scan-Select source doesn't find a scanner
Summary: Writer: Insert-Media-Scan-Select source doesn't find a scanner
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, possibleRegression
Depends on:
Blocks: Scanning
  Show dependency treegraph
 
Reported: 2021-02-15 15:21 UTC by Jan Broendum Johansson
Modified: 2021-04-05 08:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Broendum Johansson 2021-02-15 15:21:45 UTC
Description:
I have a problem with Libreoffice, through the version that came with my Peach OSI TW 16.04(Xubuntu) 64 bit 6.2.2.8 to the snap version I just installed today 7.0.4.2. other people on the net have reported same problem with LibreOffice in Linux over several years/versions.

I finally today got SANE(xsane) to see my scanner, Cannon PIXMA MG3070S, which previously only worked with the Scangear MP app supplied by Cannon, now it works with all apps using SANE - except for Libreoffice.

In Libreoffice click Insert - media - scan - select source

Nothing happens. No Errors or any popup.

Could you look into this, thank you in advance.

Jan

Steps to Reproduce:
1.open Writer, new doc or old
2.click Insert-Media-Scan-Select source
3.Nothing happens

Actual Results:
Nothing

Expected Results:
scanner found


Reproducible: Always


User Profile Reset: No



Additional Info:
It should have searched for the scanner or at least have used xsane.
Comment 1 Jan Broendum Johansson 2021-03-03 10:06:18 UTC Comment hidden (obsolete)
Comment 2 Dieter 2021-03-03 16:36:55 UTC Comment hidden (obsolete)
Comment 3 Timur 2021-03-04 09:12:49 UTC
Please search in existing bugs, I see two for scanner, if all is the same problem and if this is a duplicate.
Comment 4 Jan Broendum Johansson 2021-03-07 00:10:25 UTC
Well, could you link to them if you see them and could you tell me wjy it's not being fixed if existing?

Thank you in advance

Jan
Ps. general rule in bug tracking is to open your own thread, not piggyback on someone elses because not all scenarios is the same.
Comment 5 QA Administrators 2021-03-07 04:15:54 UTC Comment hidden (obsolete)
Comment 6 Timur 2021-03-07 07:31:57 UTC
https://bugs.documentfoundation.org/show_bug.cgi?id=120912
https://bugs.documentfoundation.org/show_bug.cgi?id=112296

Lo is volunteer driven. So bug can be fixed in 5 days or not fixed in 10 years. 
When bug is for scanner, rarely will volunteer tester have it. 
So in this case it's better to check existing bugs, write there and follow.
Comment 7 Jan Broendum Johansson 2021-03-13 00:13:52 UTC
From Ordisimo on Github who has confirmed this bug to be existing in newer LO but not in 6.4:

 Ordissimo commented 6 days ago

With libreoffice6.4 I can scan with the ESCL driver.
On ubuntu 20.04, I downloaded the last version of libreoffice7.1, I can't scan. I noted the error encountered.
Add my feedback and the link on the open issue on scangearmp2, it gives a start answer to the problem.

https://github.com/Ordissimo/scangearmp2/issues/35#issuecomment-792218708
Comment 8 Dieter 2021-03-13 10:21:24 UTC
Although Ordissimo hasn't commented in bugzilla, I think it is justified to set status to NEW.
=> NEW because of comment 7.
Comment 9 Jan Broendum Johansson 2021-04-05 08:47:26 UTC
Version: 7.1.2.2 / LibreOffice Community
Build ID: 5751006d328844ba3fa6124ed263bbf122f0788a
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk3
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded

Even after update I still can't scan into LO writer, is anyone looking into why this is happening?

With kind regards

Jan